<template>
    <div class="d-flex justify-content-end" style="margin-top: 15px;">
        <div class="flex-grow-1 progress-label d-flex align-items-center">
            <div>
                {{ label }}
            </div>
        </div>
        <div class="bar-back">
            <div class="bar-fill" :style="{ width: ratio + '%' }"></div>
        </div>
    </div>
</template>

<script>
export default {
    name: "progressBar",
    components: {},
    props: {
        label: String,
        ratio: Number
    },
    data() {
        return {}
    },
    methods: {}
}
</script>

<style scoped>
.progress-label {
    color: #1A0B00;
    text-align: right;
    font-family: Montserrat;
    font-size: 20px;
    font-weight: 500;
    margin-right: 30px;
}

.bar-back {
    width: 348.012px;
    height: 42px;
    border-radius: 23.5px;
    border: 5px solid var(--rose-rose-fonc, #FF7D7D);
    background: var(--rose-rose-clair, #FFD2D2);
    position: relative;
}

.bar-fill {
    border-radius: 23.5px;
    height: 42px;
    border: 5px solid var(--rose-rose-fonc, #FF7D7D);
    background: var(--rose-rose, #FFACA8);
    position: absolute;
    top: -5px;
    left: -5px;
}
</style>